require 'rails_helper'

# This spec was generated by rspec-rails when you ran the scaffold generator.
# It demonstrates how one might use RSpec to specify the controller code that
# was generated by Rails when you ran the scaffold generator.
#
# It assumes that the implementation code is generated by the rails scaffold
# generator.  If you are using any extension libraries to generate different
# controller code, this generated spec may or may not pass.
#
# It only uses APIs available in rails and/or rspec-rails.  There are a number
# of tools you can use to make these specs even more expressive, but we're
# sticking to rails and rspec-rails APIs to keep things simple and stable.
#
# Compared to earlier versions of this generator, there is very limited use of
# stubs and message expectations in this spec.  Stubs are only used when there
# is no simpler way to get a handle on the object needed for the example.
# Message expectations are only used when there is no simpler way to specify
# that an instance is receiving a specific message.
#
# Also compared to earlier versions of this generator, there are no longer any
# expectations of assigns and templates rendered. These features have been
# removed from Rails core in Rails 5, but can be added back in via the
# `rails-controller-testing` gem.

RSpec.describe Gp10sController, type: :controller do

  describe "GET #index" do
    let(:gp10) { create(:gp10) }

    subject(:page) { get :index, params: {} }

    it "returns a success response" do
      is_expected.to be_successful
    end
  end

  describe "GET #show" do
    let(:gp10) { create(:gp10) }

    subject(:page) { get :show, params: {id: gp10.id} }

    it "returns a success response" do
      is_expected.to be_successful
    end
  end

  describe "GET #edit" do
    let(:gp10) { create(:gp10) }

    subject(:page) { get :edit, params: {id: gp10.id} }

    it "returns a success response" do
      is_expected.to be_successful
    end
  end

  describe "PUT #update" do
    let(:gp10) { create(:gp10) }

    subject(:page) { put :update, params: {id: gp10.id, gp10: attributes_for(:gp10)} }

    it "returns a success response" do
      expect(response).to have_http_status(:ok)
    end
  end

  describe "DELETE #destroy" do
    let(:gp10) { create(:gp10) }

    subject(:page) { delete :destroy, params: {id: gp10.id} }

    it "returns a success response" do
      expect(response).to have_http_status(:ok)
    end
  end

  describe "GET #list" do
    let(:machine) { create(:machine) }
    let!(:gp10s) { [ gp10 ] }
    let(:gp10) { create(:gp10, {:machine_id => machine.id}) }

    subject(:page) { get :list, params: {machine_id: machine.id}}

    it "returns a success response" do
      is_expected.to be_successful
    end
  end

  describe "GET #group" do
    let(:machine) { create(:machine) }
    let!(:gp10s) { [ gp10 ] }
    let(:gp10) { create(:gp10, {:machine_id => machine.id}) }

    subject(:page) { get :group, params: {machine_id: machine.id}}

    it "returns a success response" do
      is_expected.to be_successful
    end
  end

  describe "POST #create" do
    let(:data) {
      {
        type: "gp10",
        item: {
          machine: {mac: Faker::Internet.mac_address},
          data: [
            attributes_for(:gp10)
          ]
        }
      }
    }

    subject(:page) { post :create, body: data.to_json, as: :json }

    it "returns a success response" do
      is_expected.to be_successful
    end
  end
end
